<script setup lang="ts">
import { onMounted, ref } from "vue";
import { pipe, T } from "../lib/utils";
import { isLogged, logout, redirect } from "./ts/utils";

const loggedIn = ref<boolean>(true);

onMounted(() => {
	pipe(
		isLogged(),
		T.map(logged => {
			loggedIn.value = logged;

			const path = window.location.pathname;

			if (path === "/click/oauth/token") {
				return;
			}


			if (logged) {
				if (path === "/login") {
					redirect('/');
				}
			} else {
				redirect('/login');
			}
		})
	)();
})

function handleClick() {
	logout();
}

</script>

<template>
	<button v-if="loggedIn" class="btn-logout" @click="handleClick">Logout</button>
	<div class="app-logo">
		<img alt="Track Timer logo" src="./assets/logo.png" />
	</div>
	<router-view></router-view>
</template>

<style lang="scss">
#app {
	font-family: Roboto, Helvetica, Arial, sans-serif;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	text-align: center;
	color: #2c3e50;
	margin-top: 60px;
}

img {
	max-width: 100%;
	max-height: 100%;
}

.app-logo {
	width: 100px;
	margin: 0 auto;
}

.btn-logout {
	position: absolute;
	top: 0;
	right: 0;
}
</style>
